#include <stdio.h>
#include <stdlib.h>


#include "Quests.h"

//Draws the type of the quest and creates it accordingly
char* addQuest()
{
    int questType;
    char *questText;
    questText = NULL;
    questType = rand()%QUEST_TYPES;
    questText = createQuestbyType(questType);
    return questText;
}

//Adds a whole story, composed of maxQuest quests
char* addStory(int curQuest, int maxQuest)
{
    if(curQuest < maxQuest)
    {
        curQuest++;
        char* questText, *newQuestText;
        questText = addQuest();
        newQuestText = addStory(curQuest, maxQuest);
        if(newQuestText != NULL)
        {
            questText = (char*) realloc(questText, sizeof(char)*(strlen(newQuestText)+strlen(questText)+1));
            strcat(questText, newQuestText);
        }

        return questText;
    }
    return NULL;
}


int main()
{
    int randomSeed, maxQuest;
    char* questLine;
    scanf("%d %d", &randomSeed, &maxQuest);
    srand(randomSeed);
    questLine = addStory(0, maxQuest);
    printf("%s\n", questLine);
    free(questLine);
}
